<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Moral
 */
if ( is_archive() || blogbook_is_latest_posts() || is_404() || is_search() ) {
	$archive_sidebar = get_theme_mod( 'blogbook_archive_sidebar', 'both' );
	if ( 'no' === $archive_sidebar || 'left' === $archive_sidebar ) {
		return;
	}
} elseif ( is_single() ) {
    $blogbook_post_sidebar_meta = get_post_meta( get_the_ID(), 'blogbook-select-sidebar', true );
	$global_post_sidebar = get_theme_mod( 'blogbook_global_post_layout', 'both' ); 

	if ( ! empty( $blogbook_post_sidebar_meta ) && ( 'no' === $blogbook_post_sidebar_meta || 'left' === $blogbook_post_sidebar_meta ) ) {
		return;
	} elseif ( empty( $blogbook_post_sidebar_meta ) && ( 'no' === $global_post_sidebar || 'left' === $global_post_sidebar ) ) {
		return;
	}
} elseif ( blogbook_is_frontpage_blog() || is_page() ) {
	if ( blogbook_is_frontpage_blog() ) {
		$page_id = get_option( 'page_for_posts' );
	} else {
		$page_id = get_the_ID();
	}
	
    $blogbook_page_sidebar_meta = get_post_meta( $page_id, 'blogbook-select-sidebar', true );
	$global_page_sidebar = get_theme_mod( 'blogbook_global_page_layout', 'both' ); 

	if ( ! empty( $blogbook_page_sidebar_meta ) && ( 'no' === $blogbook_page_sidebar_meta || 'left' === $blogbook_page_sidebar_meta ) ) {
		return;
	} elseif ( empty( $blogbook_page_sidebar_meta ) && ( 'no' === $global_page_sidebar  || 'left' === $global_page_sidebar ) ) {
		return;
	}
}

if ( ! is_active_sidebar( 'sidebar-1' ) ) {
	return;
}
?>

<aside id="secondary" class="widget-area" role="complementary">
	<?php dynamic_sidebar( 'sidebar-1' ); ?>
</aside><!-- #secondary -->
