<?php
/**
 * Template part for displaying content  in post.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Moral
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	$enable_archive_author = get_theme_mod( 'blogbook_enable_single_author', true );
	$archive_date_enable = get_theme_mod( 'blogbook_enable_single_date', true );
	if ( $enable_archive_author || $archive_date_enable ) : ?>
		<div class="entry-meta">
		    <?php
	        if ( $enable_archive_author ) {
				blogbook_post_author(); 
			}

			if ( $archive_date_enable ) {
				blogbook_posted_on(); 
			}
		    ?>
		</div><!-- .entry-meta -->
	<?php endif; ?>

	<header class="entry-header">
	    <h2 class="entry-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
	</header>

	<?php if ( has_post_thumbnail() && get_theme_mod( 'blogbook_enable_single_featured_img', true ) ) : ?>
		<div class="featured-image">
		    <a href="<?php the_permalink();?>"><?php the_post_thumbnail( 'large', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?></a>
		</div><!-- .featured-image -->
	<?php endif; ?>

	<div class="entry-content">
        <?php
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'blogbook-pro' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'blogbook-pro' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<div class="tags-read-more clear">
	    <?php blogbook_tags();?>

	    <?php blogbook_cats(); ?>

        <?php blogbook_entry_footer(); ?>
	</div><!-- .tags-read-more -->
</article><!-- #post-<?php the_ID(); ?> -->