<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Moral
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	$enable_archive_author = get_theme_mod( 'blogbook_enable_archive_author', true );
	$archive_date_enable = get_theme_mod( 'blogbook_enable_archive_date', true );
	if ( $enable_archive_author || $archive_date_enable ) : ?>
		<div class="entry-meta">
		    <?php
	        if ( $enable_archive_author ) {
				blogbook_post_author(); 
			}

			if ( $archive_date_enable ) {
				blogbook_posted_on(); 
			}
		    ?>
		</div><!-- .entry-meta -->
	<?php endif; ?>

	<?php if ( get_theme_mod( 'blogbook_enable_archive_title', true ) ) : ?>
		<header class="entry-header">
		    <h2 class="entry-title">
    			<a href="<?php the_permalink();?>">
					<?php the_title(); ?>
    			</a>
		    </h2>
		</header>
	<?php endif; ?> 

		<?php 
		$enable_archive_excerpt =  get_theme_mod( 'blogbook_enable_archive_excerpt', false );
		$enable_archive_content = get_theme_mod( 'blogbook_enable_archive_content', false );

		if ( $enable_archive_content || $enable_archive_excerpt ) : ?>
			<div class="entry-content">
			 	<?php 
			 	if ( $enable_archive_excerpt ) {
					the_excerpt();
				}

				if ( $enable_archive_content ) {
					the_content( sprintf(
						wp_kses(
							/* translators: %s: Name of current post. Only visible to screen readers */
							__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'blogbook-pro' ),
							array(
								'span' => array(
									'class' => array(),
								),
							)
						),
						get_the_title()
					) );

					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'blogbook-pro' ),
						'after'  => '</div>',
					) );
				} 
				?>
			</div>
		<?php endif; ?>

			<?php if ( has_post_format( 'gallery', get_the_ID() ) ) : ?>
				<div class="entry-content">
				    <div class="images-gallery clear">
				    	<?php
						$attachments = get_post_gallery( get_the_ID(), false );
						if ( isset( $attachments['ids'] ) ) {
							$attachments = explode( ',', $attachments['ids'] );
					    	if ( count( $attachments ) > 4 ) {
						    	$first_four_attachments = array_slice( $attachments, 0, 4 );
						    	$remaining_attachments_count = count( array_slice( $attachments, 3 ) );
						    	$i = 0;
						    	foreach ( $first_four_attachments as $attachment ) { 
						    		?>
						        	<div class="gallery-image-item">
						        		<?php echo wp_get_attachment_image( $attachment, 'blogbook-gallery' ); ?>
							    		<?php if ( ++$i === 4 ) : ?>
						    				<a href="<?php the_permalink();?>"><span class="gallery-count"><?php echo esc_html( '+', 'blogbook-pro' ) . absint( $remaining_attachments_count );?></span></a>
							    		<?php endif; ?>
						        	</div>
						    	<?php 
						    	} ?>
					    	<?php
					    	} else {
						    	foreach ( $attachments as $attachment ) { ?>
						        	<div class="gallery-image-item">
						        		<?php echo wp_get_attachment_image( $attachment, 'blogbook-gallery' ); ?>
						        	</div>
						    	<?php 
						    	} 
					    	}
					    }
				    	?>
				    </div><!-- .images-gallery -->
				</div>
			<?php endif; ?>

	<?php
	$archive_img_enable = get_theme_mod( 'blogbook_enable_archive_featured_img', true );
	if ( has_post_thumbnail() && $archive_img_enable ) : ?>
		<div class="featured-image">
		    <a href="<?php the_permalink();?>"><?php the_post_thumbnail( 'large', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?></a>
		</div><!-- .featured-image -->
	<?php endif; ?>
	
	<div class="tags-read-more clear">
	    <?php blogbook_tags();?>

        <?php blogbook_entry_footer(); ?>

	    <div class="read-more">
	        <a href="<?php the_permalink();?>" class="btn"><?php echo esc_html( get_theme_mod( 'blogbook_archive_excerpt', esc_html__( 'Read More', 'blogbook-pro' ) ) ); ?></a>
	    </div><!-- .read-more -->
	</div><!-- .tags-read-more -->
</article><!-- #post-<?php the_ID(); ?> -->
