<?php
/**
 * Template part for displaying featured posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Moral
 */

?>
<div id="featured-posts" class="relative">
    <div class="wrapper">
        <div class="grid">
            <?php 
            $content_type = get_theme_mod( 'blogbook_featured_posts_content_type', 'sticky-posts' );
            $args = array( 'posts_per_page' => 4, 'orderby' => 'post__in' );
            if ( 'sticky-posts' === $content_type ) {
                $sticky_posts = get_option( 'sticky_posts' );  
                if ( ! empty( $sticky_posts ) ) :
                    $args['post__in']  = $sticky_posts;
                endif;
            } elseif ( 'cat' === $content_type ) {
                $cat = get_theme_mod( 'blogbook_featured_posts_cat' );
                $args['ignore_sticky_posts'] = true;
                $args['cat']  = $cat;
            } elseif ( 'posts' === $content_type ) {
                $id = array();
                for ( $i=1; $i <= 4; $i++ ) { 
                    $id[] = get_theme_mod( 'blogbook_featured_posts_post_' . $i );
                }
                $args['ignore_sticky_posts'] = true;
                $args['post__in']  = $id;
            } else {
                $sticky_posts = get_option( 'sticky_posts' );  
                $args['ignore_sticky_posts'] = true;
                $args['post__not_in'] = $sticky_posts;
            }
            $query = new WP_Query( $args );
                    
            if ( $query->have_posts() ) :
                /* Start the Loop */
                while ( $query->have_posts() ) : $query->the_post(); ?>
                    <div class="grid-item">
                        <article class="has-featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'large' ); ?>');">
                            
                            <?php blogbook_cats( true );?>

                            <div class="entry-container">
                                <header class="entry-header">
                                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h2>
                                </header>
                                <div class="entry-meta">
                                    <?php blogbook_post_author( false );?>
                                    <?php blogbook_posted_on();?>
                                </div><!-- .entry-meta -->
                            </div><!-- .entry-container -->  
                        </article>   
                    </div><!-- .grid-item -->
                <?php
                endwhile;
                wp_reset_postdata();
            endif;
            ?>
        </div><!-- .grid -->
    </div><!-- .wrapper -->
</div><!-- #featured-posts -->